using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public interface IPlayer {
    void KillFollowers(int killed);
    void KillPreachers(int killed);
    void KillPriests(int killed);
    int GetAdvantage();
    int GetFollowers();
    void AddFollowers();
    void AddFollowers(int followers);
    void levelUp();
    int GetPriests();
    int GetPreachers();
    int GetPlayerID();
    void AddPreacher(int rivalID);
    void AddPriest();
    List<int> GetPreacherList();
    bool IsAlive();
}
